Subject: [netatalk-admins] fwd'd mesg

From: Evan P Cordes <[email-masked]>
Date: Mon, 07 Jul 1997 13:07:46 -0400

------- Forwarded Message

Date: Mon, 7 Jul 1997 09:28:55 -0400 (EDT)
From: [email-masked]
To: [email-masked]
Subject: BOUNCE [email-masked]:     Admin request of type /\bremove\b/i at line 1  

>From epcordes Mon Jul  7 09:28:49 1997
From: [email-masked]
Date: Mon, 7 Jul 97 14:30:52 BST
To: [email-masked]
Subject: Re: [netatalk-admins] User account & Apps from same server?
Cc: [email-masked]
Reply-To: [email-masked]

- ------HEADER END-DONT REMOVE------ 
> Hi!
> 
> >> I do not exactly understand your situation. Do you want to mount two
> >> different volumes on the same server using different user names and
> >> passwords?
> >> 
> >
> >Yup, that's exactly what I want to do.
> 
> [this is a public reply after a private question]
> 
> This is not possible with netatalk, as you like to have it. The client
> reuses the session with the afp server for each of its
> volumes. However (I never tried this, it is just an idea), if the
> appletalk client thinks, that it it talking to two different servers,
> it should be possible. I would try to register the server under a
> different name. Then it would appear twice in the chooser. But I don't
I tried that, I'm running netatalk on a machine called luigi, which is aliased
in the NIS servers yp-map to appleserver, however, even after rebooting the 
Unix box the chooser only displays luigi as a viable appleshare server.
> Registering twice probably can be done by using nbprgstr to register
> the afp server using a different name or by starting a second afp
Anybody know how to do this?
> server using a different name (and probably different configuration).
It was my understanding that each version of netatalk had to be assigned to
a specific ethernet interface, am I wrong in this assumption?
And finally:
If neteatalk wont let me login twice to the same server, will CAP?
later
jb

------- End of Forwarded Message

---

From: Colin Eric Johnson <[email-masked]>
Date: Mon, 7 Jul 1997 11:45:34 -0600 (MDT)

In reference to having a specific name come up in the Macs chooser you can
use the -n flag to afpd to specify a nbpname, from the man page:

AFPD(8)                                                   AFPD(8)

       -n nbpname
              Specifies  that nbpname should be used for NBP reg-
              istration, instead of the first  component  of  the
              hostname in the local zone.

Colin E. Johnson | [email-masked] | http://www.unm.edu/~colinj/
Life is a movie, write your own ending - J. Henson, et al.